Foreman - Bug #29283

Foreman lists unrelated RHV storage domains using v4 API
03/08/2020 09:51 AM - Shira Maximov

Status: Closed

Priority: Normal

Assignee: Shira Maximov

Category: Compute resources - oVirt

Target version:

Difficulty: Fixed in Releases: 2.2.0
Triaged: No Found in Releases:
Bugzilla link: 1808843 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7696
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1808843

Description of problem:

When creating host using satellite 6.6 and deploy on RHV API v4 in the VM tab all the storage domains are displayed when | have
only 1 storage domain under the selected data center.

Version-Release number of selected component (if applicable):
RHV 4.4.0-23 engine and hosts (All installed on RHEL 8.2)
Satellite 6.6.1 on rhel 7 using

How reproducible:
Always 100%

Steps to Reproduce:

. Setup RHV environment with 1 host, data center, cluster, and nfs storage, and network interface
. Reserved sat66 vm with rhel 7 (rhel7-sat66-4)

. Add a Compute resource with provider RHV, URL ({server}/ovirt-engine/api/v4)

. Enable Use APIv4 (experimental)

. Enter Create Host

. Select Deploy On Rhev v4 compute resource

. In the VM tab click on add volume and expand the Storage domain ComboBox
Actual results:
Everything worked until step 7.

In step 7, | see all Storage domains from RHV

Expected results:
In step 7, | should only see the related storage domain to the data center | selected

Associated revisions

Revision 6405a502 - 05/26/2020 01:56 PM - Shira Maximov
Fixes #29716,#29283 - Bump fog-ovirt version

History

#1 - 03/31/2020 10:27 AM - Tomer Brisker

- Subject changed from Foreman lists unrelated RHV storage domains using v4 API
to Foreman lists unrelated RHV storage domains using v4 API

- Status changed from New to Assigned

- Assignee set to Shira Maximov
https://bugzilla.redhat.com/show_bug.cgi?id=1808843

This is fixed in fog-ovirt, we'll need to bump the dependency once a new fog-ovirt is released with it.

#2 - 05/26/2020 10:11 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7696 added

#3 - 05/26/2020 01:56 PM - The Foreman Bot
- Fixed in Releases 2.2.0 added

#4 - 05/26/2020 02:01 PM - Shira Maximov
- Status changed from Ready For Testing to Closed

Applied in changeset 6405a502039d6b874647dc618b99a847c008147e.

#5 - 09/10/2020 05:00 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7975 added
